kernel, kernel header et nvidia

Le
Orion
Bonjour la liste,

J'ai une debian testing installé sur un pc assez récent (proc penryn
et carte nvidia).
J'ai utilisé le kernel de base fournit par debian et installé les
drivers non free de nvidia (que l'on trouve sur non-free)
Samedi une maj du kernel linux-image-2.6.26-1-686 en
linux-image-2.6.26-2-686 est intervenu, et ensuitet x ne fonctionnait
plus.
J'ai vu qu'il existe un paquet nvidia-kernel-2.6.26-2-686 mais
synaptic ne propose pas de maj automatique, est ce normal?

(j'ai pu réparer mon x, je demande juste s'il est normal que les 2
paquets ne soient pas liés)

Par ailleurs, virtual box ne fonctionnait plus de ne voulait pas
trouver mes sources du noyau, j'ai constaté que j'ai le paquet
"linux-headers-2.6.26-2-486"
d'installer et pas le "linux-headers-2.6.26-2-686" c'est grave?

Merci

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists Vous pouvez aussi ajouter le mot
``spam'' dans vos champs "From" et "Reply-To:"

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers debian-user-french-REQUEST@lists.debian.org
En cas de soucis, contactez EN ANGLAIS listmaster@lists.debian.org
Vidéos High-Tech et Jeu Vidéo
Téléchargements
Vos réponses
Gagnez chaque mois un abonnement Premium avec GNT : Inscrivez-vous !
Trier par : date / pertinence
David Prévot
Le #19117511
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Orion a écrit :
Bonjour la liste,



Bonjour,

Samedi une maj du kernel linux-image-2.6.26-1-686 en
linux-image-2.6.26-2-686 est intervenu, et ensuitet x ne fonctionnait
plus.
J'ai vu qu'il existe un paquet nvidia-kernel-2.6.26-2-686 mais
synaptic ne propose pas de maj automatique, est ce normal?



Oui : nvidia-kernel-2.6.26-2-686 et nvidia-kernel-2.6.26-1-686 sont deux
paquets différents, si tu veux que le nouveau soit automatiquement
installé, il faut utiliser nvidia-kernel-2.6-686 qui te fera le boulot
(de la même façon que linux-image-2.6-686 a du t'installer le nouveau
noyau).

Par ailleurs, virtual box ne fonctionnait plus de ne voulait pas
trouver mes sources du noyau, j'ai constaté que j'ai le paquet
"linux-headers-2.6.26-2-486"
d'installer et pas le "linux-headers-2.6.26-2-686" c'est grave?



Ce n'est pas « grave », c'est juste totalement inutile, donc au choix :

m-a a-i virtualbox-ose-source
devrait te télécharger les bonnes entêtes et te construire le paquet qui
va bien, ou plus simplement :

aptitude install virtualbox-ose-modules-2.6-686
pour qu'il te mette directement à jour le module avec ton noyau.

Amicalement

David

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAknlO3MACgkQ18/WetbTC/ruEwCfSliN2aSkfrnnkwYekNARNcnJ
rhgAoIBxjIr2wKSNV0/37YnG08GGqgd6
=8TCl
-----END PGP SIGNATURE-----

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists Vous pouvez aussi ajouter le mot
``spam'' dans vos champs "From" et "Reply-To:"

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS
Publicité
Poster une réponse
Anonyme